# Interface JmolInChI

All Known Implementing Classes:
  `InchiJmol, InChIJNA, InChIJS`

public interface JmolInChI

## Method Summary

Modifier and Type
Method
Description
`String`
`getInchi(Viewer vwr, BS atoms, Object molData, String options)`

## Method Details

### getInchi

String getInchi(Viewer vwr, BS atoms, Object molData, String options)

Parameters:
  `vwr` -
  `atoms` -
  `molData` - can be String or InputStream
  `options` -
Returns:
  InChI or SMILES or InChIKey or internal InChI structure details